<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2026 Workiva-->
<!--r:019dbaa6-e743-7afd-8d77-d5ce8eab5b66,g:5aecf8b0-5278-43b5-8e2e-5f3d680758bd-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:nggtf="http://www.nationalgrid.com/20260331" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2022-03-31" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://www.nationalgrid.com/20260331">
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/dtr/type/2022-03-31" schemaLocation="https://www.xbrl.org/dtr/type/2022-03-31/types.xsd"/>
  <xs:import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd"/>
  <xs:import namespace="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor" schemaLocation="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor.xsd"/>
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple"/>
      <link:roleType id="StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement" roleURI="http://www.nationalgrid.com/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement">
        <link:definition>[0000001] Statement of comprehensive income, profit or loss, by function of expense (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement_1" roleURI="http://www.nationalgrid.com/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement_1">
        <link:definition>[0000001] Statement of comprehensive income, profit or loss, by function of expense (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement" roleURI="http://www.nationalgrid.com/role/StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement">
        <link:definition>[0000002] Statement of comprehensive income, OCI components presented net of tax (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement_1" roleURI="http://www.nationalgrid.com/role/StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement_1">
        <link:definition>[0000002] Statement of comprehensive income, OCI components presented net of tax (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofchangesinequityStatement" roleURI="http://www.nationalgrid.com/role/StatementofchangesinequityStatement">
        <link:definition>[0000003] Statement of changes in equity (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementoffinancialpositioncurrentnoncurrentStatement" roleURI="http://www.nationalgrid.com/role/StatementoffinancialpositioncurrentnoncurrentStatement">
        <link:definition>[0000004] Statement of financial position, current/non-current (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofcashflowsdirectmethodStatement" roleURI="http://www.nationalgrid.com/role/StatementofcashflowsdirectmethodStatement">
        <link:definition>[0000005] Statement of cash flows, direct method (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="TagsthatmustbeappliedifcorrespondinginformationispresentinareportDetails" roleURI="http://www.nationalgrid.com/role/TagsthatmustbeappliedifcorrespondinginformationispresentinareportDetails">
        <link:definition>[0000006] Tags that must be applied if corresponding information is present in a report (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://www.nationalgrid.com/role/Anchoring">
        <link:definition>Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="nggtf_DisclosureOfConsolidatedIncomeStatementTable" abstract="true" name="DisclosureOfConsolidatedIncomeStatementTable" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrldt:hypercubeItem" type="xbrli:stringItemType"/>
  <xs:element id="nggtf_ConsolidatedIncomeStatementAxis" abstract="true" name="ConsolidatedIncomeStatementAxis" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrldt:dimensionItem" type="xbrli:stringItemType"/>
  <xs:element id="nggtf_ConsolidatedIncomeStatementMember" abstract="true" name="ConsolidatedIncomeStatementMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="nggtf_BeforeExceptionalItemsAndRemeasurementsNettingMember" abstract="true" name="BeforeExceptionalItemsAndRemeasurementsNettingMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="nggtf_ExceptionalItemsAndRemeasurementsNettingMember" abstract="true" name="ExceptionalItemsAndRemeasurementsNettingMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="nggtf_ConsolidatedIncomeStatementLineItems" abstract="true" name="ConsolidatedIncomeStatementLineItems" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="nggtf_NetLossesInRespectOfCashFlowHedgingOfCapitalExpenditure" abstract="false" name="NetLossesInRespectOfCashFlowHedgingOfCapitalExpenditure" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nggtf_NetGainsLossesInRespectOfCostOfHedging" abstract="false" name="NetGainsLossesInRespectOfCostOfHedging" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nggtf_OtherComprehensiveIncomeLossForTheYearNetOfTaxFromContinuingOperations" abstract="false" name="OtherComprehensiveIncomeLossForTheYearNetOfTaxFromContinuingOperations" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nggtf_OtherComprehensiveIncomeLossForTheYearNetOfTaxFromDiscontinuedOperations" abstract="false" name="OtherComprehensiveIncomeLossForTheYearNetOfTaxFromDiscontinuedOperations" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nggtf_ScripDividendRelatedShareIssue" abstract="false" name="ScripDividendRelatedShareIssue" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nggtf_IncreaseDecreaseThoughOtherMovementsInNonControllingInterestsEquity" abstract="false" name="IncreaseDecreaseThoughOtherMovementsInNonControllingInterestsEquity" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nggtf_CashFlowHedgesTransferredToTheStatementOfFinancialPositionNetOfTax" abstract="false" name="CashFlowHedgesTransferredToTheStatementOfFinancialPositionNetOfTax" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nggtf_AdjustmentsForExceptionalItemsAndRemeasurements" abstract="false" name="AdjustmentsForExceptionalItemsAndRemeasurements" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nggtf_AdjustmentsForCashFlowsRelatingToExceptionalItems" abstract="false" name="AdjustmentsForCashFlowsRelatingToExceptionalItems" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nggtf_DisposalOfInterestInNationalGridRenewablesClassifiedAsInvestingActivities" abstract="false" name="DisposalOfInterestInNationalGridRenewablesClassifiedAsInvestingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nggtf_DisposalOfInterestInGrainLNGClassifiedAsInvestingActivities" abstract="false" name="DisposalOfInterestInGrainLNGClassifiedAsInvestingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nggtf_DisposalOfInterestInTheUKElectricitySystemOperator" abstract="false" name="DisposalOfInterestInTheUKElectricitySystemOperator" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nggtf_DisposalOfInterestInTheUKGasTransmissionBusinessClassifiedAsInvestingActivities" abstract="false" name="DisposalOfInterestInTheUKGasTransmissionBusinessClassifiedAsInvestingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nggtf_NetMovementsInShortTermFinancialInvestmentsClassifiedAsInvestingActivities" abstract="false" name="NetMovementsInShortTermFinancialInvestmentsClassifiedAsInvestingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nggtf_CashFlowsRelatingToExceptionalItemsClassifiedAsInvestingActivities" abstract="false" name="CashFlowsRelatingToExceptionalItemsClassifiedAsInvestingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nggtf_TransactionsInOwnShares" abstract="false" name="TransactionsInOwnShares" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nggtf_CashInflowsOnDerivativesClassifiedAsFinancingActivities" abstract="false" name="CashInflowsOnDerivativesClassifiedAsFinancingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nggtf_CashOutflowsOnDerivativesClassifiedAsFinancingActivities" abstract="false" name="CashOutflowsOnDerivativesClassifiedAsFinancingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nggtf_IncreaseDecreaseInCashAndCashEquivalentsThroughReclassificationToHeldForSaleAndDiscontinuedOperations" abstract="false" name="IncreaseDecreaseInCashAndCashEquivalentsThroughReclassificationToHeldForSaleAndDiscontinuedOperations" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nggtf_DescriptionOfAccountingPolicyForImpactOfClimateChangeAndTheTransitionOfNetZeroTextBlock" abstract="false" name="DescriptionOfAccountingPolicyForImpactOfClimateChangeAndTheTransitionOfNetZeroTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="nggtf_DescriptionOfAccountingPolicyForOtherNonCurrentAssets" abstract="false" name="DescriptionOfAccountingPolicyForOtherNonCurrentAssets" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="nggtf_DescriptionOfAccountingPolicyForContractLiabilities" abstract="false" name="DescriptionOfAccountingPolicyForContractLiabilities" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="nggtf_DescriptionOfAccountingPolicyForOtherNonCurrentLiabilities" abstract="false" name="DescriptionOfAccountingPolicyForOtherNonCurrentLiabilities" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="nggtf_DescriptionOfAccountingPolicyForSensitivities" abstract="false" name="DescriptionOfAccountingPolicyForSensitivities" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="nggtf_DisclosureOfExceptionalItemsAndRemeasurementsTextBlock" abstract="false" name="DisclosureOfExceptionalItemsAndRemeasurementsTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="nggtf_DisclosureOfContractLiabilitiesTextBlock" abstract="false" name="DisclosureOfContractLiabilitiesTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="nggtf_DisclosureOfSensitivitiesTextBlock" abstract="false" name="DisclosureOfSensitivitiesTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
</xs:schema>
